# Enum Class WeekStarts

java.lang.Object
java.lang.Enum<WeekStarts>
org.daypilot.ui.enums.WeekStarts

All Implemented Interfaces:
  `Serializable`, `Comparable<WeekStarts>`, `Constable`

public enum WeekStarts extends Enum<WeekStarts>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `FRIDAY`
  `MONDAY`
  `SATURDAY`
  `SUNDAY`
  `THURSDAY`
  `TUESDAY`
  `WEDNESDAY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WeekStarts`
  `fromConstant(int input)`
  `static WeekStarts`
  `fromStringJavaScript(String input)`
  `WeekStarts`
  `resolve(Locale locale)`
  `int`
  `toInt()`
  `static WeekStarts`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WeekStarts[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUNDAY

    public static final WeekStarts SUNDAY

  - ### MONDAY

    public static final WeekStarts MONDAY

  - ### TUESDAY

    public static final WeekStarts TUESDAY

  - ### WEDNESDAY

    public static final WeekStarts WEDNESDAY

  - ### THURSDAY

    public static final WeekStarts THURSDAY

  - ### FRIDAY

    public static final WeekStarts FRIDAY

  - ### SATURDAY

    public static final WeekStarts SATURDAY

  - ### AUTO

    public static final WeekStarts AUTO

- ## Method Details

  - ### values

    public static WeekStarts[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WeekStarts valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromStringJavaScript

    public static WeekStarts fromStringJavaScript(String input)

  - ### fromConstant

    public static WeekStarts fromConstant(int input)

  - ### toInt

    public int toInt()

  - ### resolve

    public WeekStarts resolve(Locale locale)